MultiConsumerJmsMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.MultiConsumerJmsMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class MultiConsumerJmsMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.jms.MultiConsumerJmsMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class MultiConsumerJmsMessageReceiver

extends AbstractMessageReceiver

In Mule an endpoint corresponds to a single receiver. It's up to the receiver to do multithreaded consumption and resource allocation, if needed. This class honors the `numberOfConcurrentTransactedReceivers` strictly and will create exactly this number of consumers.

Nested Class Summary
`protected class` | `MultiConsumerJmsMessageReceiver.JmsWorker`

Field Summary
`protected edu.emory.mathcs.backport.java.util.concurrent.BlockingDeque` | `consumers`
`protected int` | `receiversCount`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`MultiConsumerJmsMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected void` | `doStart()`
`protected void` | `doStop()`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Field Detail

### consumers

    protected final edu.emory.mathcs.backport.java.util.concurrent.BlockingDeque consumers

### receiversCount

    protected volatile int receiversCount

Constructor Detail

### MultiConsumerJmsMessageReceiver

    public MultiConsumerJmsMessageReceiver(Connector connector,
                                           Service service,
                                           InboundEndpoint endpoint)
                                    throws CreateException

Throws:
  `CreateException`

Method Detail

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractConnectable`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractConnectable`
  Throws:
    `MuleException`

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.